part of masamune_signin_apple;

class AppleSignInAdapter extends SNSSignInAdapter {
  const AppleSignInAdapter({
    this.clientId,
    this.redirectUri,
    this.onlyIOS = true,
  });

  final String? clientId;
  final String? redirectUri;
  final bool onlyIOS;

  @override
  String get provider => "apple";

  @override
  Future<void> signIn() {
    if (!onlyIOS) {
      assert(clientId.isNotEmpty && redirectUri.isNotEmpty,
          "For non-IOS use, [clientId] and [redirectUri] need to be specified.");
      AppleAuth.initialize(
        clientId: clientId!,
        redirectUri: redirectUri!,
        onlyIOS: false,
      );
    }
    return AppleAuth.signIn();
  }
}
